# Makefile for Friedman program
# using Microsoft VC6 compiler

CC = cl
LD = link
RM = del
CFLAGS =

OBJS = friedman.obj utils.obj chisq.obj z.obj fisher.obj tukey.obj
INCLUDES =

friedman: $(OBJS)
	$(LD) $(OBJS)

$(OBJS): $(INCLUDES)

.c.o:
	$(CC) $(CFLAGS) -c $*.c

clean:
	$(RM) *.obj
