/* utils.c
 * written by ff123
 * http://fastforward.iwarp.com/
 *
 * utility functions for friedman program
 *
 *********************************************************************/
#define SCOPE extern
#include "friedman.h"



/*********************************************************************/
/* sorts data in an array from max to min
 */

void sort(samples_t *sortedp, int N) {
    int i;           /* index */
    int j;           /* index */
    struct {
        float data;  /* data to be sorted */
        int num;     /* numbering of data */
    } temp;


    for (i=0; i<N-1; i++) {
        for (j=i+1; j<N; j++) {
            if (sortedp->data[j] > sortedp->data[i] + DELTA) {
                temp.data = sortedp->data[i];
                temp.num = sortedp->num[i];
                sortedp->data[i] = sortedp->data[j];
                sortedp->num[i] = sortedp->num[j];
                sortedp->data[j] = temp.data;
                sortedp->num[j] = temp.num;
            }
        }
    }
}
